package com.lz.common.utils.excel;

import java.util.Collection;
import java.util.Map;

/**
 * @BelongsProject: ltapi
 * @BelongsPackage: com.lz.lt.api.common.util.excel
 * @Author: gui.quanwang
 * @CreateTime: 2018-11-27 16:49
 * @Description: 用于汇出多个sheet的Vo
 * @注意：本内容仅限于杭州霖梓网络科技有限公司内部传阅，禁止外泄以及用于其他的商业目的
 */
public class ExcelSheet<T> {

    /**
     * sheet名
     */
    private String sheetName;

    /**
     * 头部集合(字段属性)
     */
    private Map<String, String> headers;

    /**
     * 数据源
     */
    private Collection<T> dataset;

    /**
     * @return the sheetName
     */
    public String getSheetName() {
        return sheetName;
    }

    /**
     * Excel页签名称
     *
     * @param sheetName the sheetName to set
     */
    public void setSheetName(String sheetName) {
        this.sheetName = sheetName;
    }

    /**
     * Excel表头
     *
     * @return the headers
     */
    public Map<String, String> getHeaders() {
        return headers;
    }

    /**
     * @param headers the headers to set
     */
    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }

    /**
     * Excel数据集合
     *
     * @return the dataset
     */
    public Collection<T> getDataset() {
        return dataset;
    }

    /**
     * @param dataset the dataset to set
     */
    public  void setDataset(Collection<T> dataset) {
        this.dataset = dataset;
    }

    @Override
    public String toString() {
        return "ExcelSheet{" +
                "sheetName='" + sheetName + '\'' +
                ", headers=" + headers +
                ", dataset=" + dataset +
                '}';
    }
}
